/// @file MyClass.h
/// @brief This file contains an example for a bug in Doxygen

namespace MyNamespace
{
    /// @brief My "boggus" class
    class MyClass
    {
    public:
        MyClass ();
        virtual ~MyClass ();

        /// @brief This is a member function
        /// @param oneAttr my member function's attribute
        void firstTest (unsigned int oneAttr);

        /// @brief This is a member function
        /// @param oneAttr my member function's attribute
        void secondTest (unsigned int oneAttr);

        /// @brief This is a member function
        /// @param oneAttr my member function's attribute
        void thirdTest (unsigned int oneAttr);

        /// @brief This is a member function
        /// @param oneAttr my member function's attribute
        void fourthTest (unsigned int oneAttr);
    };

    /// @brief This is not a member function
    /// @param oneAttr my function's attribute
    /// @relates MyClass
    void firstTest (unsigned int oneAttr);

    /// @brief This is not a member function
    /// @param anotherAttr my function's attribute
    /// @relates MyClass
    void secondTest (unsigned int anotherAttr);

    /// @brief This is not a member function
    /// @param oneAttr my function's attribute
    void thirdTest (unsigned int oneAttr);

    /// @brief This is not a member function
    /// @param anotherAttr my function's attribute
    void fourthTest (unsigned int anotherAttr);
};
